## nomacs 3.0.0%2Bdfsg

=== CMakeLists.txt ===

# check cmake requirements
cmake_minimum_required(VERSION 2.8)
if(COMMAND cmake_policy)
	cmake_policy(SET CMP0003 NEW)
	  
	IF(CMAKE_VERSION VERSION_GREATER 2.8.10)
		cmake_policy(SET CMP0020 NEW)	# qt warnings
	ENDIF()
  IF(CMAKE_VERSION VERSION_GREATER 2.8.12.9)
    cmake_policy(SET CMP0043 NEW)	# COMPILE_DEFINITIONS_<CONFIG> warnings
  ENDIF()
endif(COMMAND cmake_policy)

######################## begin of project
project(nomacs)

set(NOMACS_VERSION 3.0)
add_definitions(-DNOMACS_VERSION="${NOMACS_VERSION}")

set(BINARY_NAME ${CMAKE_PROJECT_NAME})


set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

# include macros needed
include("cmake/Utils.cmake")

# different compile options
option(ENABLE_OPENCV "Compile with Opencv (needed for RAW and TIFF)" ON)
option(ENABLE_RAW "Compile with raw images support (libraw)" ON)
option(ENABLE_WEBP "Compile with webP support (webP)" ON)
option(ENABLE_TIFF "Compile with multi-layer tiff" ON)
option(DISABLE_QT_DEBUG "Disable Qt Debug Messages" OFF)
option(ENABLE_QUAZIP "Compile with QuaZip (allows opening .zip files)" ON)

if(MSVC)
  option(ENABLE_UPNP "Compile with UPNP" OFF)
  option(ENABLE_PLUGINS "Compile with plugin system" ON)
elseif(APPLE)
  option(ENABLE_UPNP "Compile with UPNP" OFF)
  option(ENABLE_PLUGINS "Compile with plugin system" OFF)
elseif(UNIX)
  option(ENABLE_UPNP "Compile with UPNP" OFF)
  option(ENABLE_PLUGINS "Compile with plugin system" ON)
else()
  option(ENABLE_UPNP "Compile with UPNP" OFF)
  option(ENABLE_PLUGINS "Compile with plugin system" OFF)
endif()

# load paths from the user file if exists 
if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/CMakeUser.cmake)
	include(${CMAKE_CURRENT_SOURCE_DIR}/CMakeUser.cmake)
endif()

include(CheckCXXCompilerFlag)
CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
CHECK_CXX_COMPILER_FLAG("-std=c++0x" COMPILER_SUPPORTS_CXX0X)
if(COMPILER_SUPPORTS_CXX11)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
elseif(COMPILER_SUPPORTS_CXX0X)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
elseif(!MSVC)
    message(STATUS "The compiler ${CMAKE_CXX_COMPILER} has no C++11 support. Please use a different C++ compiler.")
endif()

# find Qt
NMC_FINDQT()

if (DISABLE_QT_DEBUG)
	message (STATUS "disabling qt debug messages")
	add_definitions(-DQT_NO_DEBUG_OUTPUT)
endif()

if(MSVC)
	include(${CMAKE_SOURCE_DIR}/cmake/Win.cmake)
elseif(APPLE)
	include(${CMAKE_SOURCE_DIR}/cmake/Mac.cmake)
else(UNIX)
	include(${CMAKE_SOURCE_DIR}/cmake/Unix.cmake)
else()
	message(STATUS "build system unkown ... fallback to unix")
	include(${CMAKE_SOURCE_DIR}/cmake/Unix.cmake)
endif()

# gather information for building
include_directories (
	${EXIV2_INCLUDE_DIRS} 
	${LIBRAW_INCLUDE_DIRS}
	${CMAKE_CURRENT_BINARY_DIR}
	${CMAKE_SOURCE_DIR}/src
	${WEBP_INCLUDEDIR}
	${TIFF_INCLUDE_DIR}
	${TIFF_CONFIG_DIR}
	${HUPNP_INCLUDE_DIR}
	${QUAZIP_INCLUDE_DIRECTORY}
	# ${ZLIB_INCLUDE_DIRS}
	${CMAKE_SOURCE_DIR}/3rdparty/libqpsd
)

file(GLOB NOMACS_SOURCES "src/*.cpp")
file(GLOB NOMACS_HEADERS "src/*.h")

if (APPLE) # todo: somehow add this to Mac.cmake or MacBuildTarget.cmake
	SET (NOMACS_SOURCES ${NOMACS_SOURCES} macosx/nomacs.icns)
endif (APPLE)

file(GLOB NOMACS_MOCS "src/*.h")

 IF(NOT ENABLE_UPNP)
	 LIST(REMOVE_ITEM NOMACS_SOURCES ${CMAKE_SOURCE_DIR}/src/DkUpnp.cpp)
	 LIST(REMOVE_ITEM NOMACS_MOCS ${CMAKE_SOURCE_DIR}/src/DkUpnp.h)
	 LIST(REMOVE_ITEM NOMACS_HEADERS ${CMAKE_SOURCE_DIR}/src/DkUpnp.h)
 ENDIF(NOT ENABLE_UPNP)

 IF(NOT ENABLE_PLUGINS)
	 LIST(REMOVE_ITEM NOMACS_SOURCES ${CMAKE_SOURCE_DIR}/src/DkPluginManager.cpp)
	 LIST(REMOVE_ITEM NOMACS_MOCS ${CMAKE_SOURCE_DIR}/src/DkPluginManager.h)
	 LIST(REMOVE_ITEM NOMACS_HEADERS ${CMAKE_SOURCE_DIR}/src/DkPluginManager.h)
 ENDIF(NOT ENABLE_PLUGINS)


set (NOMACS_FORMS
  src/nomacs.ui
)

set (NOMACS_RESOURCES
  src/nomacs.qrc
)

file(GLOB NOMACS_TRANSLATIONS "translations/*.ts")

QT5_ADD_RESOURCES(NOMACS_RCC ${NOMACS_RESOURCES})
QT5_ADD_TRANSLATION(NOMACS_QM ${NOMACS_TRANSLATIONS})

if(MSVC)
	include(${CMAKE_SOURCE_DIR}/cmake/WinBuildTarget.cmake)
elseif(APPLE)
	include(${CMAKE_SOURCE_DIR}/cmake/MacBuildTarget.cmake)
else(UNIX)
	include(${CMAKE_SOURCE_DIR}/cmake/UnixBuildTarget.cmake)
else()
	message(STATUS "build system unkown ... fallback to unix")
	include(${CMAKE_SOURCE_DIR}/cmake/UnixBuildTarget.cmake)
endif()


#debug for printing out all variables 
# get_cmake_property(_variableNames VARIABLES)
# foreach (_variableName ${_variableNames})
#     message(STATUS "${_variableName}=${${_variableName}}")
# endforeach()

if(UNIX AND ENABLE_PLUGINS)
  if(EXISTS "${CMAKE_SOURCE_DIR}/plugins")
    SET(NOMACS_FOUND true)
    SET(NOMACS_VARS_ALREADY_SET true)
    add_subdirectory(plugins)
  else()
    #message(FATAL_ERROR "plugins directory not found. You have to check out the nomacs-plugins git to 'plugins' folder or disable plugins")
    message(WARNING "plugins directory not found, not building plugins. You have to check out the nomacs-plugins git to the 'plugins' folder if you want to build them")
  endif()
endif()

=== debian/control ===
Source: nomacs
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: graphics
Priority: optional
Build-Depends: cmake (>= 3.0),
               debhelper (>= 9),
               libcvaux-dev,
               libexiv2-dev (>= 0.21.1~),
               libhighgui-dev,
               liblcms2-dev,
               libopencv-dev,
               libopencv-ocl-dev,
               libqt5svg5-dev,
               libraw-dev (>= 0.13.1~),
               libtiff5-dev,
               qt5-qmake,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-lxqt/nomacs.git/?h=debian/sid
Vcs-Git: git://anonscm.debian.org/pkg-lxqt/nomacs.git -b debian/sid
Homepage: http://www.nomacs.org

Package: nomacs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: image viewer with capability of syncing multiple instances
 nomacs is a free image viewer for Windows and Linux systems, which is
 licensed under the GNU General Public License v3. nomacs is small, fast and
 able to handle the most common image formats. Additionally it is possible to
 synchronize multiple viewers. A synchronization of viewers running on
 the same computer or via LAN is possible. It allows one to compare images
 and spot the differences (e.g. schemes of architects to show the
 progress).

## nomacs 3.0.0+dfsg

=== 3rdparty/libqpsd/CMakeLists.txt ===
project (qpsd)
cmake_minimum_required(VERSION 2.6)

if(COMMAND cmake_policy)
	cmake_policy(SET CMP0003 NEW)
	  
	IF(CMAKE_VERSION VERSION_GREATER 2.8.10)
		cmake_policy(SET CMP0020 NEW)	# qt warnings
	ENDIF()
  IF(CMAKE_VERSION VERSION_GREATER 2.8.12.9)
    cmake_policy(SET CMP0043 NEW)	# COMPILE_DEFINITIONS_<CONFIG> warnings
  ENDIF()
endif(COMMAND cmake_policy)



file(GLOB LIBQPSD_SOURCES "*.cpp")
file(GLOB LIBQPSD_HEADERS "*.h")

SET(CMAKE_DEBUG_POSTFIX "d")

add_library(${PROJECT_NAME} SHARED ${LIBQPSD_SOURCES})
target_link_libraries(${PROJECT_NAME} ${QT_LIBRARIES})

qt5_use_modules(${PROJECT_NAME} Gui)

set_target_properties(${PROJECT_NAME} PROPERTIES ARCHIVE_OUTPUT_DIRECTORY_DEBUG ${CMAKE_CURRENT_BINARY_DIR}/libs)
set_target_properties(${PROJECT_NAME} PROPERTIES ARCHIVE_OUTPUT_DIRECTORY_RELEASE ${CMAKE_CURRENT_BINARY_DIR}/libs)
set_target_properties(${PROJECT_NAME} PROPERTIES ARCHIVE_OUTPUT_DIRECTORY_REALLYRELEASE ${CMAKE_CURRENT_BINARY_DIR}/libs)

add_custom_command(TARGET ${PROJECT_NAME} POST_BUILD COMMAND ${CMAKE_COMMAND} -E make_directory ${NOMACS_BUILD_DIRECTORY}/$<CONFIGURATION>/imageformats/)
add_custom_command(TARGET ${PROJECT_NAME} POST_BUILD COMMAND ${CMAKE_COMMAND} -E copy $<TARGET_FILE:qpsd> ${NOMACS_BUILD_DIRECTORY}/$<CONFIGURATION>/imageformats/)

=== 3rdparty/libwebp/CMakeLists.txt ===
project (webp C)
cmake_minimum_required(VERSION 2.6)

if(COMMAND cmake_policy)
	cmake_policy(SET CMP0003 NEW)
	  
	IF(CMAKE_VERSION VERSION_GREATER 2.8.10)
		cmake_policy(SET CMP0020 NEW)	# qt warnings
	ENDIF()
  IF(CMAKE_VERSION VERSION_GREATER 2.8.12.9)
    cmake_policy(SET CMP0043 NEW)	# COMPILE_DEFINITIONS_<CONFIG> warnings
  ENDIF()
endif(COMMAND cmake_policy)


add_definitions(-DNDEBUG -DWEBP_USE_THREAD)

file(GLOB WEBP_DEC_SRCS
	RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
	${CMAKE_CURRENT_SOURCE_DIR}/src/dec/*c
)

file(GLOB WEBP_DEMUX_SRCS
	RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
	${CMAKE_CURRENT_SOURCE_DIR}/src/demux/*c
)

file(GLOB WEBP_DSP_SRCS
	RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
	${CMAKE_CURRENT_SOURCE_DIR}/src/dsp/*c
)

file(GLOB WEBP_ENC_SRCS
	RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
	${CMAKE_CURRENT_SOURCE_DIR}/src/enc/*c
)

file(GLOB WEBP_UTILS_SRCS
	RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
	${CMAKE_CURRENT_SOURCE_DIR}/src/utils/*c
)

file(GLOB WEBP_MUX_SRCS
	RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
	${CMAKE_CURRENT_SOURCE_DIR}/src/mux/*c
)

file(GLOB WEBP_HEADERS
	RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
	${CMAKE_CURRENT_SOURCE_DIR}/src/webp/*.h
)

SET(CMAKE_DEBUG_POSTFIX "d")
set(WEBP_SOURCE ${WEBP_DEC_SRCS} ${WEBP_DEMUX_SRCS} ${WEBP_DSP_SRCS} ${WEBP_ENC_SRCS} ${WEBP_UTILS_SRCS} ${WEBP_MUX_SRC})
set(WEBP_INCLUDE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/src)
add_library(${PROJECT_NAME} STATIC ${WEBP_SOURCE} ${WEBP_HEADERS})
target_include_directories(${PROJECT_NAME} PRIVATE  ${WEBP_INCLUDE_DIR})


set_target_properties(${PROJECT_NAME} PROPERTIES ARCHIVE_OUTPUT_DIRECTORY_DEBUG ${CMAKE_CURRENT_BINARY_DIR}/libs)
set_target_properties(${PROJECT_NAME} PROPERTIES ARCHIVE_OUTPUT_DIRECTORY_RELEASE ${CMAKE_CURRENT_BINARY_DIR}/libs)
set_target_properties(${PROJECT_NAME} PROPERTIES ARCHIVE_OUTPUT_DIRECTORY_REALLYRELEASE ${CMAKE_CURRENT_BINARY_DIR}/libs)

=== 3rdparty/quazip-0.7/CMakeLists.txt ===
project (QuaZip)
cmake_minimum_required(VERSION 2.6)

if(COMMAND cmake_policy)
	cmake_policy(SET CMP0003 NEW)
	  
	IF(CMAKE_VERSION VERSION_GREATER 2.8.10)
		cmake_policy(SET CMP0020 NEW)	# qt warnings
	ENDIF()
  IF(CMAKE_VERSION VERSION_GREATER 2.8.12.9)
    cmake_policy(SET CMP0043 NEW)	# COMPILE_DEFINITIONS_<CONFIG> warnings
  ENDIF()
endif(COMMAND cmake_policy)


#added by stefan for nomacs
SET(CMAKE_DEBUG_POSTFIX "d")
# Use system zlib on unix and Qt ZLIB on Windows
unset(ZLIB_INCLUDE_DIRS CACHE)
unset(ZLIB_LIBRARIES CACHE)
IF(UNIX)
	find_package(ZLIB REQUIRED)
ELSE(UNIX)
	find_path(ZLIB_INCLUDE_DIRS NAMES "zlib.h" HINTS "${QT_ROOT}/src/3rdparty/zlib" "${QT_ROOT}/../include/QtZlib" DOC  "Path to ZLIB headers of Qt")
	SET(ZLIB_LIBRARIES "")
	IF(NOT EXISTS "${ZLIB_INCLUDE_DIRS}/zlib.h")
		MESSAGE("Please specify a valid zlib include dir")
	ENDIF(NOT EXISTS "${ZLIB_INCLUDE_DIRS}/zlib.h")
ENDIF(UNIX)


# All build libraries are moved to this directory
SET(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR})

set(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)")
set(LIB_DESTINATION "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}" CACHE STRING "Library directory name" FORCE)

add_subdirectory(quazip)

# added by stefan for nomacs

# write configuration file
get_property(QUAZIP_DEBUG_NAME TARGET quazip PROPERTY DEBUG_OUTPUT_NAME)
get_property(QUAZIP_RELEASE_NAME TARGET quazip PROPERTY RELEASE_OUTPUT_NAME)
SET(QUAZIP_LIBS optimized ${QUAZIP_RELEASE_NAME}.lib debug ${QUAZIP_DEBUG_NAME}.lib)
SET(QUAZIP_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR})
SET(QUAZIP_INCLUDE_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})
SET(QUAZIP_BUILD_DIRECTORY ${CMAKE_BINARY_DIR})
SET(ZLIB_INCLUDE_DIRS ${ZLIB_INCLUDE_DIRS})
configure_file(${QUAZIP_SOURCE_DIR}/QuaZip.cmake.in ${QUAZIP_BUILD_DIRECTORY}/QuaZipConfig.cmake)

=== 3rdparty/quazip-0.7/quazip/CMakeLists.txt ===
# set all include directories for in and out of source builds
file(GLOB SRCS "*.c" "*.cpp")
file(GLOB PUBLIC_HEADERS "*.h")

# Must be added to enable export macro
ADD_DEFINITIONS(-DQUAZIP_BUILD)

add_library(quazip SHARED ${SRCS})
set_target_properties(quazip PROPERTIES VERSION 1.0.0 SOVERSION 1)
target_include_directories(quazip PRIVATE 	${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${ZLIB_INCLUDE_DIRS})
# Link against ZLIB_LIBRARIES if needed (on Windows this variable is empty)
target_link_libraries(quazip ${QT_QTMAIN_LIBRARY} ${QT_QTCORE_LIBRARY} ${ZLIB_LIBRARIES})
qt5_use_modules(quazip Core)

# added by stefan for nomacs
# message(STATUS "binarydir: ${NOMACS_BUILD_DIRECTORY}")
# add_custom_command(TARGET quazip POST_BUILD COMMAND ${CMAKE_COMMAND} -E copy $<TARGET_FILE:quazip> ${NOMACS_BUILD_DIRECTORY}/$<CONFIGURATION>/)

=== debian/changelog ===
nomacs (3.0.0+dfsg-1) unstable; urgency=medium

  [ Alf Gaida ]
  * Cherry-picking upstream version 3.0.0+dfsg. 
  * Initial release (Closes: #688873)
  * Added watchfile with dversionmangle
  * Added a repack-script for uscan
  * Replaces the lena-images by some of my own
  * Added a source.lintian-overrides for the wrong lintian complains
  * Added my files to the copyright
  * Added debian/source/include-binaries to include the pictures in
    the debian tarball
  * Improved copyright
  * Disabled plugin-system for now
  * Reduced dependencies in rules
  * Use the new -dbgsyms - so no explicit -dbg package
  * Added build dependency libqt5svg5-dev
  * Modified the rules, Qt5 is standard now and must no longer 
    triggered
  * use the manpage from Readme/nomacs.1 directly

 -- Alf Gaida <agaida@siduction.org>  Mon, 21 Dec 2015 21:08:02 +0100

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export QT_SELECT=5
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --buildsystem=cmake --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DENABLE_PLUGINS=OFF

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/nomacs

## nomacs 3.0.0+dfsg2

=== debian/changelog ===
nomacs (3.0.0+dfsg2-1build2) yakkety; urgency=medium

  * No change rebuild

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 08 Aug 2016 13:09:03 +0300

nomacs (3.0.0+dfsg2-1build1) yakkety; urgency=medium

  * No-change rebuild against latest libwebp

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 04 Aug 2016 17:17:43 -0400

nomacs (3.0.0+dfsg2-1) unstable; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * Use system libwebp
  * Use system libquazip
  * Update Vcs-* fields

  [ Alf Gaida ]
  * Don't provide sources for not used embedded 3rd party libs
  * Fixed the repack script that way
  * Fixed Format filed in debian/copyright
  * Bump year in debian/copyright
  * Bump Standards to 3.9.8, no changes needed
  * Set CMAKE_BUILD_TYPE=RelWithDebInfo
  * Added LDFLAGS -pthread (Closes: #810732)

 -- Alf Gaida <agaida@siduction.org>  Sat, 09 Jul 2016 17:57:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: nomacs
-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>
@@ -14,14 +15,16 @@
                libopencv-dev,
                libopencv-ocl-dev,
                libqt5svg5-dev,
+               libquazip-dev,
                libraw-dev (>= 0.13.1~),
                libtiff5-dev,
+               libwebp-dev,
                qt5-qmake,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-lxqt/nomacs.git/?h=debian/sid
-Vcs-Git: git://anonscm.debian.org/pkg-lxqt/nomacs.git -b debian/sid
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/nomacs.git/?h=debian/sid
+Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/nomacs.git -b debian/sid
 Homepage: http://www.nomacs.org
 
 Package: nomacs

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export QT_SELECT=5
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -pthread
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem=cmake \
		--parallel

override_dh_auto_configure:
	dh_auto_configure -- \
		-DENABLE_PLUGINS=OFF \
		-DUSE_SYSTEM_QUAZIP=ON \
		-DUSE_SYSTEM_WEBP=ON \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/nomacs

## nomacs 3.4.1%2Bdfsg

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export QT_SELECT=5
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -pthread
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh ${@} --buildsystem=cmake \
		--fail-missing

override_dh_auto_configure:
	dh_auto_configure -- \
		-DENABLE_PLUGINS=OFF \
		-DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" \
		-DUSE_SYSTEM_QUAZIP=ON \
		-DENABLE_OPENCV=ON \
		-DENABLE_RAW=ON \
		-DENABLE_TIFF=ON \
		-DDISABLE_QT_DEBUG=OFF\
		-DENABLE_QUAZIP=ON\
		-DCMAKE_BUILD_TYPE=RelWithDebInfo

## nomacs 3.4.1+dfsg

=== CMakeLists.txt ===

# check cmake requirements
cmake_minimum_required(VERSION 2.8)
if(COMMAND cmake_policy)
	cmake_policy(SET CMP0003 NEW)

	IF(CMAKE_VERSION VERSION_GREATER 2.8.10)
		cmake_policy(SET CMP0020 NEW)	# qt warnings
	ENDIF()
	IF(CMAKE_VERSION VERSION_GREATER 2.8.12.9)
		cmake_policy(SET CMP0043 NEW)	# COMPILE_DEFINITIONS_<CONFIG> warnings
	ENDIF()
endif(COMMAND cmake_policy)

######################## begin of project
project(nomacs)

# needed for soname
set(NOMACS_VERSION_MAJOR 3)
set(NOMACS_VERSION_MINOR 4)
set(NOMACS_VERSION_PATCH 0)
set(NOMACS_VERSION ${NOMACS_VERSION_MAJOR}.${NOMACS_VERSION_MINOR})
set(NOMACS_FULL_VERSION ${NOMACS_VERSION}.${NOMACS_VERSION_PATCH})
if(CMAKE_CL_64)
	SET(NMC_ARCHITECTURE "x64")
else()
	SET(NMC_ARCHITECTURE "x86")
endif()

option(GLOBAL_READ_BUILD "READ build" OFF)


add_definitions(-DNOMACS_VERSION="${NOMACS_VERSION}")

set(BINARY_NAME ${CMAKE_PROJECT_NAME})
set(NOMACS_BUILD_DIRECTORY ${CMAKE_BINARY_DIR})

if(DEFINED GLOBAL_READ_BUILD)
	if(${GLOBAL_READ_BUILD}) # cannot be incooperated into if one line above
		# set output path when building for READ
		if(MSVC)
			SET(CMAKE_LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR})
			SET(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/$<CONFIGURATION>)
			SET(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/$<CONFIGURATION>)
			message(STATUS "READ build turned on...")
		else()
			set(NOMACS_BUILD_DIRECTORY ${CMAKE_BINARY_DIR}/READ)
			SET(CMAKE_LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/READ)
			SET(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/READ)
			SET(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/READ)
		endif()
	endif()
endif()

# include macros needed
include("cmake/Utils.cmake")

# different compile options
option(ENABLE_OPENCV "Compile with Opencv (needed for RAW and TIFF)" ON)
option(ENABLE_RAW "Compile with raw images support (libraw)" ON)
option(ENABLE_TIFF "Compile with multi-layer tiff" ON)
option(DISABLE_QT_DEBUG "Disable Qt Debug Messages" OFF)
option(ENABLE_QUAZIP "Compile with QuaZip (allows opening .zip files)" ON)
option(ENABLE_INCREMENTER "Run Build Incrementer" OFF)

if(MSVC)
	option(ENABLE_QUAZIP "Compile with QuaZip (allows opening .zip files)" ON)
	option(ENABLE_UPNP "Compile with UPNP" OFF)
	option(ENABLE_PLUGINS "Compile with plugin system" ON)
elseif(APPLE)
	option(ENABLE_QUAZIP "Compile with QuaZip (allows opening .zip files)" OFF)
	option(ENABLE_UPNP "Compile with UPNP" OFF)
	option(ENABLE_PLUGINS "Compile with plugin system" OFF)
	message(STATUS "QuaZip disabled cause^ ur using a mac")

elseif(UNIX)
	option(ENABLE_UPNP "Compile with UPNP" OFF)
	option(ENABLE_PLUGINS "Compile with plugin system" ON)
	option(ENABLE_QUAZIP "Compile with QuaZip (allows opening .zip files)" ON)
else()
	option(ENABLE_UPNP "Compile with UPNP" OFF)
	option(ENABLE_PLUGINS "Compile with plugin system" OFF)
	option(ENABLE_QUAZIP "Compile with QuaZip (allows opening .zip files)" ON)
endif()

if (ENABLE_QUAZIP)
	message(STATUS "QuaZip enabled")
endif()

# load paths from the user file if exists
if(EXISTS ${CMAKE_SOURCE_DIR}/CMakeUser.cmake)
	include(${CMAKE_SOURCE_DIR}/CMakeUser.cmake)
endif()

include(CheckCXXCompilerFlag)
#CHECK_CXX_COMPILER_FLAG("-std=c++14" COMPILER_SUPPORTS_CXX14)
CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
CHECK_CXX_COMPILER_FLAG("-std=c++0x" COMPILER_SUPPORTS_CXX0X)
#if(COMPILER_SUPPORTS_CXX14)
#	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++14")
#else
if(COMPILER_SUPPORTS_CXX11)
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
elseif(COMPILER_SUPPORTS_CXX0X)
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
elseif(NOT MSVC)
	message(STATUS "The compiler ${CMAKE_CXX_COMPILER} has no C++11 support. Please use a different C++ compiler.")
endif()

# find Qt
NMC_FINDQT()

if (DISABLE_QT_DEBUG)
	message (STATUS "disabling qt debug messages")
	add_definitions(-DQT_NO_DEBUG_OUTPUT)
endif()

if(MSVC)
	include(${CMAKE_CURRENT_SOURCE_DIR}/cmake/Win.cmake)
elseif(APPLE)
	include(${CMAKE_CURRENT_SOURCE_DIR}/cmake/Mac.cmake)
elseif(UNIX)
	include(${CMAKE_CURRENT_SOURCE_DIR}/cmake/Unix.cmake)
else()
	message(STATUS "build system unkown ... fallback to unix")
	include(${CMAKE_CURRENT_SOURCE_DIR}/cmake/Unix.cmake)
endif()

file(GLOB NOMACS_EXE_SOURCES "src/*.cpp")
file(GLOB NOMACS_EXE_HEADERS "src/*.h")

# gui
file(GLOB GUI_SOURCES "src/DkGui/*.cpp")
file(GLOB GUI_HEADERS "src/DkGui/*.h")

# loader
file(GLOB LOADER_SOURCES "src/DkLoader/*.cpp")
file(GLOB LOADER_HEADERS "src/DkLoader/*.h")

# core
file(GLOB CORE_SOURCES "src/DkCore/*.cpp")
file(GLOB CORE_HEADERS "src/DkCore/*.h")

# gather information for building
include_directories (
	${EXIV2_INCLUDE_DIRS}
	${LIBRAW_INCLUDE_DIRS}
	${CMAKE_BINARY_DIR}
	${CMAKE_CURRENT_SOURCE_DIR}/src
	${CMAKE_CURRENT_SOURCE_DIR}/src/DkCore
	${CMAKE_CURRENT_SOURCE_DIR}/src/DkLoader
	${CMAKE_CURRENT_SOURCE_DIR}/src/DkGui
	${TIFF_INCLUDE_DIR}
	${TIFF_CONFIG_DIR}
	${HUPNP_INCLUDE_DIR}
	${QUAZIP_INCLUDE_DIRECTORY}
	# ${ZLIB_INCLUDE_DIRS}
	${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/libqpsd
)

if (APPLE) # todo: somehow add this to Mac.cmake or MacBuildTarget.cmake
	SET (NOMACS_SOURCES ${NOMACS_SOURCES} macosx/nomacs.icns)
endif (APPLE)

IF(NOT ENABLE_UPNP)
	LIST(REMOVE_ITEM GUI_SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/src/DkUpnp.cpp)
	LIST(REMOVE_ITEM GUI_HEADERS ${CMAKE_CURRENT_SOURCE_DIR}/src/DkUpnp.h)
ENDIF(NOT ENABLE_UPNP)

IF(NOT ENABLE_PLUGINS)
	LIST(REMOVE_ITEM GUI_SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/src/DkPluginManager.cpp)
	LIST(REMOVE_ITEM GUI_HEADERS ${CMAKE_CURRENT_SOURCE_DIR}/src/DkPluginManager.h)
ENDIF(NOT ENABLE_PLUGINS)


set (NOMACS_FORMS
src/nomacs.ui
 )

set (NOMACS_RESOURCES
src/nomacs.qrc
 )

file(GLOB NOMACS_TRANSLATIONS "translations/*.ts")

QT5_ADD_RESOURCES(NOMACS_RCC ${NOMACS_RESOURCES})
QT5_ADD_TRANSLATION(NOMACS_QM ${NOMACS_TRANSLATIONS})

if(MSVC)
	include(${CMAKE_CURRENT_SOURCE_DIR}/cmake/WinBuildTarget.cmake)
elseif(APPLE)
	include(${CMAKE_CURRENT_SOURCE_DIR}/cmake/MacBuildTarget.cmake)
elseif(UNIX)
	include(${CMAKE_CURRENT_SOURCE_DIR}/cmake/UnixBuildTarget.cmake)
else()
	message(STATUS "build system unkown ... fallback to unix")
	include(${CMAKE_CURRENT_SOURCE_DIR}/cmake/UnixBuildTarget.cmake)
endif()

NMC_GENERATE_PACKAGE_XML()
NMC_INSTALL()

#debug for printing out all variables
# get_cmake_property(_variableNames VARIABLES)
# foreach (_variableName ${_variableNames})
#     message(STATUS "${_variableName}=${${_variableName}}")
# endforeach()

message(STATUS "opencv libs: ${OpenCV_LIBS}")

if(UNIX AND ENABLE_PLUGINS)
	if(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/plugins")
		SET(NOMACS_FOUND true)
		SET(NOMACS_VARS_ALREADY_SET true)
		add_subdirectory(plugins)
	else()
		message(WARNING "plugins directory not found, not building plugins. You have to check out the nomacs-plugins git to the 'plugins' folder if you want to build them")
	endif()
endif()

=== debian/changelog ===
nomacs (3.4.1+dfsg-11) unstable; urgency=medium

  * Fixed some symbols (Closes: #876153)
  * Fixed sections
  * Added overides_dh_missing 
  * Bumped Standards to 4.1.0

 -- Alf Gaida <agaida@siduction.org>  Wed, 27 Sep 2017 02:35:37 +0200

nomacs (3.4.1+dfsg-10) unstable; urgency=medium

  * Fixed symbols for gcc 7.1.0 (Closes: #871180)
  * Patched appdata syntax and location

 -- Alf Gaida <agaida@siduction.org>  Sun, 13 Aug 2017 18:07:38 +0200

nomacs (3.4.1+dfsg-9) unstable; urgency=medium

  * Tested again with gcc-7, compiles fine (Closes: #853575)

 -- Alf Gaida <agaida@siduction.org>  Sun, 06 Aug 2017 00:45:32 +0200

nomacs (3.4.1+dfsg-8) unstable; urgency=medium

  * Make another three symbols optional 

 -- Alf Gaida <agaida@siduction.org>  Sat, 24 Jun 2017 14:28:59 +0200

nomacs (3.4.1+dfsg-7) unstable; urgency=medium

  * Some further symbols fixed, libraw transition

 -- Alf Gaida <agaida@siduction.org>  Sat, 24 Jun 2017 00:07:17 +0200

nomacs (3.4.1+dfsg-6) unstable; urgency=medium

  * Fixed symbols after binnmu 
  * Bumped Standards to 4.0.0, no changes needed

 -- Alf Gaida <agaida@siduction.org>  Fri, 23 Jun 2017 18:20:15 +0200

nomacs (3.4.1+dfsg-5) unstable; urgency=medium

  * Removed build dependencies:
    - libcvaux-dev
    - libhighgui-dev,
    - libopencv-ocl-dev
    (Closes: #841370)
  * Removed --parallels from d/rules, standard compat 10
 
 -- Alf Gaida <agaida@siduction.org>  Fri, 21 Oct 2016 00:14:09 +0200

nomacs (3.4.1+dfsg-4) unstable; urgency=medium

  * Following the suggestions of the Multarch hinter:
    - nomacs-l10n could be marked Multi-Arch: foreign - done
    - libnomacscore-dev could be marked Multi-Arch: same - done
    - libnomacscore3 could be marked Multi-Arch: same - done
    - libnomacsgui-dev could be marked Multi-Arch: same - done
    - libnomacsgui3 could be marked Multi-Arch: same - done
    - libnomacsloader-dev could be marked Multi-Arch: same - done
    - libnomacsloader3 could be marked Multi-Arch: same - done
  * Fix dependency versions with cme
  * Fixing symbols 
  * Added dependency qt5-image-formats-plugins for tga, tiff and webp support
 
 -- Alf Gaida <agaida@siduction.org>  Tue, 27 Sep 2016 17:24:06 +0200

nomacs (3.4.1+dfsg-3) unstable; urgency=medium

  * Cherry-picked new upstream release 3.4.1.
  * Move to unstable (Closes: #823947)
    And no - we will not include the plugins in the current state, no way
  * Introduced nomacs-l10n and added to Recommends
  * nomacs-l10n replaces nomacs (Closes: #836858)
    Thanks Andreas Beckmann <anbe@debian.org>
  * Bumped compat to 10
  * Bumped build dependency debhelper (>= 10)
  * Fixed symbols
  * Fixed source.lintian-overrides
  * Introduced new packages:
    -libnomacscore3
    -libnomacscore3-dev
    -libnomacsgui3
    -libnomacsgui3-dev
    -libnomacsloader3
    -libnomacsloader3-dev
  * Added Replaces for libnomacs3
  * Added Breaks and Replaces for libnomacs-dev
  * Removed quazip and libwebp from 3rd party
  * Fixed copyright that way
  * Improved rules
  * Bumped years in copyright
  * Added hardening=+all
  * Deleted useless manpage

 -- Alf Gaida <agaida@siduction.org>  Sun, 18 Sep 2016 16:56:17 +0200

=== debian/control ===
Source: nomacs
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: graphics
Priority: optional
Build-Depends: debhelper (>= 10),
               cmake (>= 3.0.2),
               libexiv2-dev,
               liblcms2-dev,
               libopencv-dev,
               libqt5svg5-dev,
               libquazip-dev,
               libraw-dev,
               libtiff5-dev,
               libwebp-dev,
               qt5-qmake,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.1.0
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/nomacs.git/?h=debian/sid
Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/nomacs.git -b debian/sid
Homepage: http://www.nomacs.org

Package: nomacs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libnomacscore3 (= ${binary:Version}),
         libnomacsgui3 (= ${binary:Version}),
         libnomacsloader3 (= ${binary:Version}),
         qt5-image-formats-plugins
Recommends: nomacs-l10n (= ${source:Version})
Description: image viewer with capability of syncing multiple instances
 nomacs is a free image viewer for Windows and Linux systems, which is
 licensed under the GNU General Public License v3. nomacs is small, fast and
 able to handle the most common image formats. Additionally it is possible to
 synchronize multiple viewers. A synchronization of viewers running on
 the same computer or via LAN is possible. It allows one to compare images
 and spot the differences (e.g. schemes of architects to show the
 progress).

Package: nomacs-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends}
Description: image viewer with capability of syncing multiple instances (data)
 nomacs is a free image viewer for Windows and Linux systems, which is
 licensed under the GNU General Public License v3. nomacs is small, fast and
 able to handle the most common image formats. Additionally it is possible to
 synchronize multiple viewers. A synchronization of viewers running on
 the same computer or via LAN is possible. It allows one to compare images
 and spot the differences (e.g. schemes of architects to show the
 progress).
 .
 This package provides the nomacs translations.

Package: libnomacscore3
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Replaces: libnomacs3
Description: image viewer with capability of syncing multiple instances (libnomacsCore)
 nomacs is a free image viewer for Windows and Linux systems, which is
 licensed under the GNU General Public License v3. nomacs is small, fast and
 able to handle the most common image formats. Additionally it is possible to
 synchronize multiple viewers. A synchronization of viewers running on
 the same computer or via LAN is possible. It allows one to compare images
 and spot the differences (e.g. schemes of architects to show the
 progress).
 .
 This package provides the shared nomacs core library.

Package: libnomacsgui3
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Replaces: libnomacs3
Description: image viewer with capability of syncing multiple instances (libnomacsGui)
 nomacs is a free image viewer for Windows and Linux systems, which is
 licensed under the GNU General Public License v3. nomacs is small, fast and
 able to handle the most common image formats. Additionally it is possible to
 synchronize multiple viewers. A synchronization of viewers running on
 the same computer or via LAN is possible. It allows one to compare images
 and spot the differences (e.g. schemes of architects to show the
 progress).
 .
 This package provides the shared nomacs gui library.

Package: libnomacsloader3
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Replaces: libnomacs3
Description: image viewer with capability of syncing multiple instances (libnomacsLoader)
 nomacs is a free image viewer for Windows and Linux systems, which is
 licensed under the GNU General Public License v3. nomacs is small, fast and
 able to handle the most common image formats. Additionally it is possible to
 synchronize multiple viewers. A synchronization of viewers running on
 the same computer or via LAN is possible. It allows one to compare images
 and spot the differences (e.g. schemes of architects to show the
 progress).
 .
 This package provides the shared nomacs loader library.

Package: libnomacscore-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         libnomacscore3 (= ${binary:Version})
Breaks: libnomacs-dev
Replaces: libnomacs-dev
Description: Development files for nomacs core
 nomacs is a free image viewer for Windows and Linux systems, which is
 licensed under the GNU General Public License v3. nomacs is small, fast and
 able to handle the most common image formats. Additionally it is possible to
 synchronize multiple viewers. A synchronization of viewers running on
 the same computer or via LAN is possible. It allows one to compare images
 and spot the differences (e.g. schemes of architects to show the
 progress).
 .
 This package provides development files for nomacs core library.

Package: libnomacsgui-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         libnomacsgui3 (= ${binary:Version})
Breaks: libnomacs-dev
Replaces: libnomacs-dev
Description: Development files for nomacs gui
 nomacs is a free image viewer for Windows and Linux systems, which is
 licensed under the GNU General Public License v3. nomacs is small, fast and
 able to handle the most common image formats. Additionally it is possible to
 synchronize multiple viewers. A synchronization of viewers running on
 the same computer or via LAN is possible. It allows one to compare images
 and spot the differences (e.g. schemes of architects to show the
 progress).
 .
 This package provides development files for nomacs gui library.

Package: libnomacsloader-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         libnomacsloader3 (= ${binary:Version})
Breaks: libnomacs-dev
Replaces: libnomacs-dev
Description: Development files for nomacs loader
 nomacs is a free image viewer for Windows and Linux systems, which is
 licensed under the GNU General Public License v3. nomacs is small, fast and
 able to handle the most common image formats. Additionally it is possible to
 synchronize multiple viewers. A synchronization of viewers running on
 the same computer or via LAN is possible. It allows one to compare images
 and spot the differences (e.g. schemes of architects to show the
 progress).
 .
 This package provides development files for nomacs loader library.

=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,11 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 %:
-	dh ${@} --buildsystem=cmake \
-		--fail-missing
+	dh ${@} --buildsystem=cmake
+
+
+override_dh_missing:
+	dh_missing -- --fail-missing
 
 override_dh_auto_configure:
 	dh_auto_configure -- \

## nomacs 3.8.0%2Bdfsg

=== debian/changelog ===
nomacs (3.8.0+dfsg-4) unstable; urgency=medium

  * Fixed the VCS-Fields for salsa
  * Bumped Standards to 4.1.3, no changes needed
  * Bump copyright years

 -- Alf Gaida <agaida@siduction.org>  Fri, 12 Jan 2018 02:41:42 +0100

nomacs (3.8.0+dfsg-3) unstable; urgency=medium

  * Improved the patch and some cmake files - all changes should go
    upstream

 -- Alf Gaida <agaida@siduction.org>  Thu, 21 Dec 2017 23:23:08 +0100

nomacs (3.8.0+dfsg-2) unstable; urgency=medium

  * Get FindQuaZip5.cmake from libquazip5-dev, replacing FindQuaZIP.cmake
  * Patched the needed files to use the new find.
    (Closes: #884679)  - Thanks  Pino Toscano <pino@debian.org>

 -- Alf Gaida <agaida@siduction.org>  Thu, 21 Dec 2017 23:22:01 +0100

nomacs (3.8.0+dfsg-1) unstable; urgency=medium

  * Cherry-picked new upstream release 3.8.0.
  * Removed patches - applied upstream
  * Removed lena-full.jpg replacement, no longer needed
  * Added and sorted build options
  * Bumped years in copyright

 -- Alf Gaida <agaida@siduction.org>  Mon, 20 Nov 2017 21:47:35 +0100

nomacs (3.6.1+dfsg-4) unstable; urgency=medium

  * Build with opencv 3.2
  * Removed outdated header packages from build dependencies:
    - libcvaux-dev
    - libhighgui-dev
    - libopencv-ocl-dev
  * Thanks to Adrian Bunk for spotting this (Closes: #878793)

 -- Alf Gaida <agaida@siduction.org>  Tue, 17 Oct 2017 01:00:48 +0200

nomacs (3.6.1+dfsg-3) unstable; urgency=medium

  * Merged experimental into unstable
  * Switched changelog back to unstable

 -- Alf Gaida <agaida@siduction.org>  Mon, 02 Oct 2017 16:56:45 +0200

nomacs (3.6.1+dfsg-2) experimental; urgency=medium

  * Added missed Breaks 

 -- Alf Gaida <agaida@siduction.org>  Sat, 30 Sep 2017 21:41:25 +0200

nomacs (3.6.1+dfsg-1) experimental; urgency=medium

  * Cherry-picked new upstream release 3.6.1.
  * Bumped Standards to 4.1.1
  * Switched to experimental
  * Added override_dh_missing
  * Fixed nomacs.install
  * libnomacsgui3 disappeard - deleted from control and debian $foo
  * libnomacsloader3 disappeared - deleted from control and debian $foo
  * Make libnomacscore a private lib
  * Ported back patch for reproducible builds
  * Ported back fix for runtimepathes on linux
  * Ported back fix for legacy appstream metadatas 
  * Added Section: localization to nomacs-l10n
  * nomacs replaces libnomacs*

 -- Alf Gaida <agaida@siduction.org>  Sat, 30 Sep 2017 14:58:15 +0200

=== debian/control ===
Source: nomacs
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: graphics
Priority: optional
Build-Depends: debhelper (>= 10),
               cmake (>= 3.0.2),
               lcov,
               libexiv2-dev,
               liblcms2-dev,
               libopencv-dev,
               libqt5svg5-dev,
               libquazip5-dev,
               libraw-dev,
               libtiff5-dev,
               libwebp-dev,
               qt5-qmake,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/lxqt-team/nomacs.git
Vcs-Git: https://salsa.debian.org/lxqt-team/nomacs.git
Homepage: http://www.nomacs.org

Package: nomacs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         qt5-image-formats-plugins
Breaks: libnomacscore3 (<< 3.6.1),
        libnomacsgui3 (<< 3.6.1),
        libnomacsloader3 (<< 3.6.1)
Replaces: libnomacscore3 (<< 3.6.1),
          libnomacsgui3 (<< 3.6.1),
          libnomacsloader3 (<< 3.6.1)
Recommends: nomacs-l10n (= ${source:Version})
Description: image viewer with capability of syncing multiple instances
 nomacs is a free image viewer for Windows and Linux systems, which is
 licensed under the GNU General Public License v3. nomacs is small, fast and
 able to handle the most common image formats. Additionally it is possible to
 synchronize multiple viewers. A synchronization of viewers running on
 the same computer or via LAN is possible. It allows one to compare images
 and spot the differences (e.g. schemes of architects to show the
 progress).

Package: nomacs-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends}
Replaces: nomacs (<< 3.4.1~)
Description: image viewer with capability of syncing multiple instances (data)
 nomacs is a free image viewer for Windows and Linux systems, which is
 licensed under the GNU General Public License v3. nomacs is small, fast and
 able to handle the most common image formats. Additionally it is possible to
 synchronize multiple viewers. A synchronization of viewers running on
 the same computer or via LAN is possible. It allows one to compare images
 and spot the differences (e.g. schemes of architects to show the
 progress).
 .
 This package provides the nomacs translations.
